Summary: An interpreter for the awk programming language.
Name: mawk
Version: 1.3.3
Release: 8
Copyright: GPL
Group: Applications/Text
Source: ftp://ftp.whidbey.net/pub/brennan/mawk%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}
%ifarch ia64
%define DEFCCIA cc
%define DEFCC %{DEFCCIA}
%else
%define DEFCC cc
%endif

%description
Mawk is a version of the awk programming language.  Awk interprets a
special-purpose programming language to do quick text pattern matching
and reformatting.  Mawk improves on awk in certain ways and can
sometimes outperform gawk, the standard awk program for Linux.  Mawk
conforms to the POSIX 1003.2 (draft 11.3) definition of awk.

You should install mawk if you use awk.

%prep
%setup -q

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if test "X$CC" != "Xgcc"
then
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
       export CFLAGS="$RPM_OPT_FLAGS"
fi
autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1 || :
mkdir -p $RPM_BUILD_ROOT%{_bindir} || :
%makeinstall MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1  BINDIR=$RPM_BUILD_ROOT%{_bindir}

(cd $RPM_BUILD_ROOT

 /usr/bin/strip .%{prefix}/bin/* || :

 for dir in bin
 do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{prefix}/$dir/* .
    cd -
 done
)
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/mawk
/usr/bin/mawk
%{_mandir}/*/*
%doc ACKNOWLEDGMENT CHANGES INSTALL README

%changelog
* Fri Aug 04 2001 David Clissold <cliss@austin.ibm.com>
- Strip the binary

* Fri Jul 06 2001 Marc Stephenson <marc@austin.ibm.com>
- Adapt for AIX Toolbox

* Thu Oct 12 2000 Than Ngo <than@redhat.com>
- use $RPM_OPT_FLAGS

* Sat Aug 19 2000 Jeff Johnson <jbj@redhat.com>
- add -fno-strenght-reduce to CFLAGS for RC2.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 17 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment
- use RPM macros

* Sat May 27 2000 Ngo Than <than@redhat.de>
- rebuilt for 7.0
- put man page to correct place
- cleanup specfile

* Mon Mar  3 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- 1.3.3
- handle RPM_OPT_FLAGS

* Sun Feb 06 2000 Preston Brown <pbrown@redhat.com>
- rebuild to pick up gzipped man page

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
